#!/bin/sh

# Kura should be installed to the /opt/eclipse directory.
export PATH=/bin:/usr/bin:/sbin:/usr/sbin:/usr/local/bin:/opt/jvm/bin:/usr/java/bin

cd /opt/eclipse/kura

# set up the configuration area
mkdir -p /tmp/.kura/configuration
cp /opt/eclipse/kura/kura/config.ini /tmp/.kura/configuration/

nohup java -Xms256m -Xmx256m -XX:MaxPermSize=256m -Dkura.os.version=raspbian \
	-Dkura.arch=armv6_hf \
	-Declipse.ignoreApp=true \
	-Dkura.home=/opt/eclipse/kura/kura \
	-Dkura.configuration=file:/opt/eclipse/kura/kura/kura.properties \
	-Dkura.custom.configuration=file:/opt/eclipse/kura/kura/kura_custom.properties \
	-Ddpa.configuration=/opt/eclipse/kura/kura/dpa.properties \
	-Dlog4j.configuration=file:/opt/eclipse/kura/kura/log4j.properties \
	-jar /opt/eclipse/kura/plugins/org.eclipse.osgi_3.8.1.v20120830-144521.jar \
	-configuration  /tmp/.kura/configuration \
	-console 5002 \
	-consoleLog >> /var/log/kura-console.log 2>> /var/log/kura-console.log &

#Save the PID
KURA_PID=$!
echo $KURA_PID > /var/run/kura.pid
	