#!/bin/sh

export PATH=/bin:/usr/bin:/sbin:/usr/sbin:/usr/local/bin:/opt/jvm/bin:/usr/java/bin

cd $(dirname $0)/..

# set up the configuration area
mkdir -p /tmp/.kura/configuration
cp /opt/eclipse/kura/kura/config.ini /tmp/.kura/configuration/

java -Xms256m -Xmx256m -XX:MaxPermSize=256m -Xdebug -Xrunjdwp:server=y,transport=dt_socket,address=8000,suspend=n \
	-Dkura.os.version=raspbian \
	-Dkura.arch=armv6_hf \
	-Declipse.ignoreApp=true \
	-Dkura.home=/opt/eclipse/kura/kura \
	-Dkura.configuration=file:/opt/eclipse/kura/kura/kura.properties \
	-Dkura.custom.configuration=file:/opt/eclipse/kura/kura/kura_custom.properties \
	-Ddpa.configuration=/opt/eclipse/kura/kura/dpa.properties \
	-Dlog4j.configuration=file:/opt/eclipse/kura/kura/log4j.properties \
	-jar /opt/eclipse/kura/plugins/org.eclipse.osgi_3.8.1.v20120830-144521.jar \
	-configuration  /tmp/.kura/configuration \
	-console \
	-consoleLog
	